Bug 1659512 - glibc: Test suite failure: posix/tst-spawn
Summary: glibc: Test suite failure: posix/tst-spawn
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2019-05-08
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: 8.1
Assignee: Patsy Franklin
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 1654819 1682593
Blocks: 1684553
TreeView+ depends on / blocked
 
Reported: 2018-12-14 14:48 UTC by Florian Weimer
Modified: 2019-11-05 21:29 UTC (History)
8 users (show)

Fixed In Version: glibc-2.28-54.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 21:29:04 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3513 None None None 2019-11-05 21:29:24 UTC

Description Florian Weimer 2018-12-14 14:48:37 UTC
I've seen this once during an RPM build on ppc64le:

../scripts/evaluate-test.sh posix/tst-spawn $? false false > /builddir/build/BUILD/glibc-2.28/build-ppc64le-redhat-linux/posix/tst-spawn.test-result
/builddir/build/BUILD/glibc-2.28/build-ppc64le-redhat-linux/posix/tst-spawn: file 2 not in right position

=====FAIL: posix/tst-spawn.out=====
error: tst-spawn.c:262: not true: WEXITSTATUS (status) == 0
error: 1 test failures
=====FAIL: posix/tst-spawn.test-result=====
FAIL: posix/tst-spawn
original exit status 1

There is an upstream patch which improves the diagnostics slightly:

commit c70271662aa53aee0c4794d480dca6d9ba3ccc3d
Author: Adhemerval Zanella <adhemerval.zanella@linaro.org>
Date:   Wed Sep 19 11:12:05 2018 -0700

    Use libsupport for tst-spawn.c
    
    No function changes is done.  Checked on x86_64-linux-gnu.
    
            * posix/tst-spawn.c (do_prepare, handle_restart, do_test):
            Use libsupport.

Maybe this will allow us to see what is going on.

The test does not seem to have file system races.  The ppc64le uses tmpfs, so maybe this is a contributing issue.

Comment 1 Florian Weimer 2018-12-14 14:51:08 UTC
Bug 1659512 comment 1 suggests that the diagnostics do not really help.  In any case, it's not architecture-specific.

Comment 2 Florian Weimer 2019-02-25 15:09:00 UTC
This was fixed upstream in this commit, I think:

commit 114f792eaea2505cd8aee02d330aad37238da6a5
Author: Stefan Liebler <stli@linux.ibm.com>
Date:   Fri Feb 1 11:03:35 2019 +0100

    posix/tst-spawn: Fix racy tests in spawned processes.

Comment 4 Sergey Kolosov 2019-09-17 08:21:19 UTC
Verified, posix/tst-spawn passed on all architectures

Comment 6 errata-xmlrpc 2019-11-05 21:29:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3513


Note You need to log in before you can comment on or make changes to this bug.